import React from 'react';
import { InertiaLink } from '@inertiajs/inertia-react';
import Layout from '@/Shared/Layout';
import Form from "../../Shared/Form";

const Module = (data) => {
    return (
        <div>
            <div className="header-nav-buttons">
                <InertiaLink
                    className="btn btn-default"
                    href={data.routes.index}
                >
                    <span><i className="fas fa-angle-left"></i>Back</span>
                </InertiaLink>
            </div>

            <h1>{data.name}</h1>
            <Form fields={data.fields} record={data.record}/>
        </div>
    )
}

Module.layout = page => <Layout children={page} title="Module"/>

export default Module
