import React from 'react';
import { InertiaLink } from '@inertiajs/inertia-react'
import FlashMessages from '@/Shared/FlashMessages';

export default ({ children, pageTitle }) => {
  return (
    <div className="content-wrapper">
      <div className="content-header">
        <div className="container-fluid">
          <div className="row tw-mb-2">
            <div className="col-sm-6">
              <h1 className="m-0 text-dark">{ pageTitle }</h1>
            </div>
          </div>
          <FlashMessages />
          <article>{children}</article>
        </div>
      </div>
    </div>
  )
}
