import React from 'react';

export default ({ className, children, ...props }) => {
  return (
    <button
      className={`focus:outline-none flex items-center ${className}`}
      {...props}
    >
      {children}
      <span><i className={props.icon}></i>{props.value}</span>
    </button>
  );
};
