import React from 'react';

function handleChange() {
    // Handle changing data
}

function handleSubmit() {
    // Handle submitting data
}

export default ({fields, record}) => {
    return (
        <div className="card">
            <div className="card-body">
                {fields.map((field, key) => {
                    return (
                        <div key={key} className="form-group">
                            <label htmlFor="">{field}</label>
                            <input type="text" className="form-control" value={record ? record[field] : ''} onChange={handleChange}/>
                        </div>
                    )
                })}

                <button className="btn btn-dark">Create</button>
            </div>
        </div>
    );
};
