import React from 'react';
import {InertiaLink, usePage} from "@inertiajs/inertia-react";

export default ({items}) => {
    return (
        <ul className="nav nav-pills nav-sidebar flex-column">
            {items.map((item, key) =>
                <li className="nav-item" key={key}>
                    <InertiaLink href={item.link} className={`nav-link`}>
                        {item.name}
                    </InertiaLink>
                </li>
                )
            }
        </ul>
    )
}
