import React from 'react';

function handleDelete (record, e) {
    e.preventDefault()

    // Post up to delete route
}

export default ({fields, records, routes}) => {
    return (
        <table className={'table table-striped'}>
            <thead>
            <tr>
                {fields.map((column, key) => {
                    return <td key={key}>{column}</td>
                })}
                <td>Actions</td>
            </tr>
            </thead>
            <tbody>
            {records.map((record, key) => {
                return (
                    <tr key={key}>
                        {fields.map((column, key) => {
                            return <td key={key}>{record[column]}</td>
                        })}
                        <td>
                            <a href={routes.edit + '/' + record.id} className="btn btn-dark">Edit</a>
                            <a href={routes.delete + '/' + record.id} className="btn btn-danger" onClick={(e) => handleDelete(record.id, e)}>Delete</a>
                        </td>
                    </tr>
                )
            })}
            </tbody>
        </table>
    );
};
