<?php

namespace Drp\EventPalAdmin\Http\Controllers;

use Drp\EventPalAdmin\Http\Models\Question;
use Inertia\Inertia;
use Inertia\Response;

class QuestionsController extends Controller
{
    public function index(): Response
    {
        $data['questions'] = Question::orderBy('id', 'asc')->get();

        return Inertia::render('Questions/Index', [
            'data' => $data,
        ]);
    }
}
